Skip to content

Backup API ​

5 endpoints. Request and response schemas are described on the schemas page; the other tags are listed in the API index.

Endpoints ​

GET /api/v1/admin/backup ​

List backups

List all backups (admin only)

Responses

StatusDescriptionBody
200List of backupsapplication/json: object
403Admin access required-

Fields of the 200 response (application/json):

FieldTypeRequiredDescription
backupsarray of Backupno-

POST /api/v1/admin/backup ​

Create backup

Trigger a new backup (admin only)

Request body (required)

application/json: object

FieldTypeRequiredDescription
typestringyesOne of: full, metadata-only.

Responses

StatusDescriptionBody
202Backup startedapplication/json: object
400Invalid requestapplication/json: Error
403Admin access required-

Fields of the 202 response (application/json):

FieldTypeRequiredDescription
created_atstring (date-time)no-
idstring (uuid)no-
statusstringnoOne of: pending, in_progress, completed, failed.
typestringnoOne of: full, metadata-only.

GET /api/v1/admin/backup/{id} ​

Get backup

Get details of a specific backup (admin only)

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes-

Responses

StatusDescriptionBody
200Backup detailsapplication/json: Backup
400Invalid request, including a NUL byte in the URL or the bodyapplication/json: Error
403Forbiddenapplication/json: Error
404Backup not found-

GET /api/v1/admin/backup/{id}/download ​

Download backup

Download a backup file (admin only)

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes-

Responses

StatusDescriptionBody
200Backup fileapplication/octet-stream: string (binary)
400Invalid requestapplication/json: Error
403Forbiddenapplication/json: Error
404Backup not found-

POST /api/v1/admin/restore ​

Restore backup

Restore from a backup file (admin only) - multipart form upload

Request body (required)

multipart/form-data: object

FieldTypeRequiredDescription
filestring (binary)yesBackup file to restore

Responses

StatusDescriptionBody
200Restore started-
400Invalid backup file-
409A restore is already in progress-

Free software under the AGPL-3.0-or-later.